## jwt-token-校验


**接口地址**:`/user/verify`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


**请求参数**:


| 参数名称 | 参数说明 | in    | 是否必须 | 数据类型 | schema |
| -------- | -------- | ----- | -------- | -------- | ------ |
|token|token|query|true|string||


**响应状态**:


| 状态码 | 说明 | schema |
| -------- | -------- | ----- | 
|200|OK|User|
|201|Created||
|401|Unauthorized||
|403|Forbidden||
|404|Not Found||


**响应参数**:


| 参数名称 | 参数说明 | 类型 | schema |
| -------- | -------- | ----- |----- | 
|code|用户编码|string||
|court|所属法院|Organization|Organization|
|&emsp;&emsp;children||array|TreeNode|
|&emsp;&emsp;&emsp;&emsp;children||array|TreeNode|
|&emsp;&emsp;&emsp;&emsp;id||integer(int64)||
|&emsp;&emsp;&emsp;&emsp;pid||integer(int64)||
|&emsp;&emsp;code|组织代码|string||
|&emsp;&emsp;id|组织id|integer(int64)||
|&emsp;&emsp;lft||integer(int32)||
|&emsp;&emsp;name|组织名称|string||
|&emsp;&emsp;pid|组织父id|integer(int64)||
|&emsp;&emsp;rgt||integer(int32)||
|&emsp;&emsp;shortName|组织简称|string||
|&emsp;&emsp;type|组织类型|string||
|createTime||string(date)|string(date)|
|email|用户邮箱|string||
|id||integer(int64)|integer(int64)|
|lastLoginIp||string||
|orgs|所属部门，多部门|array|Organization|
|&emsp;&emsp;children||array|TreeNode|
|&emsp;&emsp;&emsp;&emsp;children||array|TreeNode|
|&emsp;&emsp;&emsp;&emsp;id||integer(int64)||
|&emsp;&emsp;&emsp;&emsp;pid||integer(int64)||
|&emsp;&emsp;code|组织代码|string||
|&emsp;&emsp;id|组织id|integer(int64)||
|&emsp;&emsp;lft||integer(int32)||
|&emsp;&emsp;name|组织名称|string||
|&emsp;&emsp;pid|组织父id|integer(int64)||
|&emsp;&emsp;rgt||integer(int32)||
|&emsp;&emsp;shortName|组织简称|string||
|&emsp;&emsp;type|组织类型|string||
|phone|用户手机号|string||
|positions|职务信息，多职务|array|Position|
|&emsp;&emsp;code|职务标识|string||
|&emsp;&emsp;createTime|创建时间|string(date)||
|&emsp;&emsp;creator|创建人|string||
|&emsp;&emsp;deleted|是否被逻辑删除(0:存在，1：被删除)|integer(int32)||
|&emsp;&emsp;description|职务描述|string||
|&emsp;&emsp;id|职务id|integer(int64)||
|&emsp;&emsp;name|职务名称|string||
|&emsp;&emsp;size|该职位下的用户数量|integer(int32)||
|&emsp;&emsp;updateTime|修改时间|string(date)||
|&emsp;&emsp;updator|更新人|string||
|realName||string||
|roles||array|Role|
|&emsp;&emsp;children||array|TreeNode|
|&emsp;&emsp;&emsp;&emsp;children||array|TreeNode|
|&emsp;&emsp;&emsp;&emsp;id||integer(int64)||
|&emsp;&emsp;&emsp;&emsp;pid||integer(int64)||
|&emsp;&emsp;code||string||
|&emsp;&emsp;createTime||string(date)||
|&emsp;&emsp;description||string||
|&emsp;&emsp;extra||string||
|&emsp;&emsp;id||integer(int64)||
|&emsp;&emsp;name||string||
|&emsp;&emsp;pid||integer(int64)||
|&emsp;&emsp;privilege||string||
|&emsp;&emsp;updateTime||string(date)||
|settings|用户的配置信息|JsonNode|JsonNode|
|userName||string||


**响应示例**:
```javascript
{
  "id": "1",
  "userName": "zhangsan",
  "realName": "张三",
  "code": "",
  "email": null,
  "phone": null,
  "orgs": null,
  "roles": null,
  "positions": null,
  "court": null
}
```