## 1. 登录接口


**接口地址**:`/user/login?token`


**请求方式**:`POST`


**请求数据类型**:`application/form-data`


**响应数据类型**:`application/json`


**接口描述**: 用户登录接口


**请求参数**:


| 参数名称 | 参数说明 |  是否必须 | 数据类型 | 
| -------- | -------- |  -------- | -------- | 
|username|账号|true|string|
|password|密码|true|string|


**响应参数**:


| 参数名称 | 参数说明 | 类型 | schema |
| -------- | -------- | ----- |----- | 
|access_token|访问token|string||
|token_type|token类型，默认值为Bearer|string||
|refresh_token|刷新token值|string||
|expires_in|有效时间，单位分钟|long||
|scope||string||

**响应示例**:
```javascript
 {
     "access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyTmFtZSI6InJvb3QiLCJleHAiOjE2NzUyNzUxNjYsInVzZXJJZCI6MSwidXNlckNvZGUiOiIzMzMifQ.6rH1LtAtSqMDgNvM2recxw6kzjG2KngA5aaq01c_rrc",
     "token_type": "Bearer",
     "refresh_token": "cc22e8b2-e069-459d-8c24-cfda0bc72128",
     "expires_in": 42827,
     "scope": "all"
 }
```




## 2. 使用方法
登录成功后，对于之后的接口调用，需要在其请求头header 新增
Authorization = token_type + " " + access_token
如上例，
```javascript
headers: {

​    Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyTmFtZSI6InJvb3QiLCJleHAiOjE2NzUyNzUxNjYsInVzZXJJZCI6MSwidXNlckNvZGUiOiIzMzMifQ.6rH1LtAtSqMDgNvM2recxw6kzjG2KngA5aaq01c_rrc

}
```

## 3. 刷新token


**接口地址**:`/user/refresh-token`


**请求方式**:`POST`


**请求数据类型**:`application/form-data`


**响应数据类型**:`application/json`


**接口描述**: 有效期内获取新的token


**请求参数**:


| 参数名称 | 参数说明 |  是否必须 | 数据类型 | 
| -------- | -------- |  -------- | -------- | 
|token|token|true|string|


**响应参数**:


| 参数名称 | 参数说明 | 类型 | schema |
| -------- | -------- | ----- |----- | 
|access_token|访问token|string||
|token_type|token类型，默认值为Bearer|string||
|refresh_token|刷新token值|string||
|expires_in|有效时间，单位分钟|long||
|scope||string||

**响应示例**:
```javascript
 {
     "access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyTmFtZSI6InJvb3QiLCJleHAiOjE2NzUyNzUxNjYsInVzZXJJZCI6MSwidXNlckNvZGUiOiIzMzMifQ.6rH1LtAtSqMDgNvM2recxw6kzjG2KngA5aaq01c_rrc",
     "token_type": "Bearer",
     "refresh_token": "cc22e8b2-e069-459d-8c24-cfda0bc72128",
     "expires_in": 42827,
     "scope": "all"
 }
```