## Git分支管理规范
### 修改hosts
```
win: c:\windows\system32\drivers\etc\hosts
linux: /etc/hosts

加入一行:
192.168.0.26 git.whrp.com
```

### 开发工作中严格按照以下要求进行开发、测试、生产发布：
1. master分支（蓝色）: 主分支，主要用来版本发布（不允许以其他分支发布）。在每一次提交合并到master分支的代码都需要打Tag。
2. develop分支（黄色）：日常开发分支，该分支正常保存了开发的最新代码。生命周期跟master分支保持一致。
3. feature分支（粉色）：具体的功能开发分支，只与 develop 分支交互。该分支一般只做**本地分支**，**不需要在远程厂库建立分支**。生命周期为功能自测通过合并到devel分支后，即可删除。
4. test分支（绿色）：test分支可以认为是 master 分支的未测试版，比如说某一期的功能全部开发完成，那么就将 develop 分支合并到 test 分支，如需修改bug则直接在该分支上修改，待测试没有问题并且到发布日期就合并到 master 分支和develop分支，然后进行发布。生命周期跟master分支保持一致。
5. hotfix（紧急分支）：线上 bug 修复分支。生命周期为测试验证通过后结束。

![](http://file.pjy.name/f/ac0f0a9061e64b449076/?dl=1)