## 业务系统编程规范约定
```
请不要在控制层编写业务代码，控制层只需要校验传参
本文档主要用于业务模块系统开发规范的约定，不定时更新...
```
### 1、URI采用RESTful风格
```
正例：
GET /users  -- 查询用户列表
GET /user/{id} -- 查询用户详情
POST /user -- 新增用户
PUT /user --更新用户
DELETE /user/{id} --删除用户
GET /user/{id}/scores -- 查询某个用户的所有成绩
GET /user/{id}/score/{sid} -- 查询某个用户的某门课程的成绩 
```
参考资料：
[RESTful API 设计指南](http://www.ruanyifeng.com/blog/2014/05/restful_api.html)
[RESTful API接口设计标准及规范](https://blog.csdn.net/qq_41606973/article/details/86352787)

### 2、注释，注释，注释
例
```
特殊注释标记，请注明标记人与标记时间。注意及时处理这些标记，通过标记扫描， 经常清理此类标记。线上故障有时候就是来源于这些标记处的代码。

```

### 2、代码采用驼峰命名
例
```
caseInfo,subCaseInfo
```
### 3、代理跨域
例
```
后台、服务器处理，前端不处理
```
### 4、Restful的CURD操作
例
```
GET: 获取资源
POST： 新建资源
PUT：在服务器更新资源（向客户端提供改变后的所有资源）
PATCH: 在服务器更新资源（向客户端提供改变的属性）
DELETE：删除资源
``` 
### 5、方法前缀名称通用
例
```
方法名以select、insert，update、delete、list、search等开头
```
### 6、参数验证
例
```
validator验证框架
@Range(min = 0, max = 1, message = "用户状态只能填0或1")
```
### 7、接口参数规定
例
```
参数超过4个以上，使用自定义*Query.java实体接参
新建query目录存放
正例：(@RequestBody CartListQuery cartListQuery)
```
### 8、VO更改为DTO
例
```
统一将VO改为DTO，保持命名统一
```
