## SQL提交执行规范
```
平台现已上线，在数据表变更时，需要对数据库进行同步的，由开发组提供相应的SQL来更改线上系统。
```
### 提交要求
开发人员根据sql编写规范填写上载SQL文档，提交到GIT指定 目录下：
```
http://192.168.0.12/cuiqixu/doc-database/-/tree/master/未上线/test
```
```
SQL文件必须包括commit、rollback两个文件。
 开发人员提交GIT后，通过邮件形式想测试人员申请提测，然后由测试人员在测试环境中执行；
 测试通过后再由运维人员在相应项目上线时在生产环境执行；
 执行完毕后把SQL文件转移至“已上线”目录。
```
## 数据表、字段命名规范约定
```
本文档主要用于数据库表和字段的一些约定规范，不定时更新...
```
### 1、表名、字段名必须使用小写字母或数字，禁止出现数字开头，禁止两个下划线中间只出现数字，多个单词使用 `_` 分隔
[推荐]表命名最好使用，“业务名称_表的作用”
例
```
正例：aliyun_admin，rdc_config，level3_name 
反例：AliyunAdmin，rdcConfig，level_3_name 
```
### 2、禁止使用保留字，如果使用保留字，需要加前缀
msyql 保留字传送门：[https://www.cnblogs.com/Z-Fanghan/p/6892944.html](http://)

例
```
status-->user_status 和 type-->user_type
```
### 3、每张表都必须有 id 、create_time和update_time字段
例
```
id不必用系统自增，由项目代码生成
create_time为生成时间，缺省值为：current_timestamp()
update_time为更新时间，缺省值为：current_timestamp() on update current_timestamp()
```
### 4、每个字段都必填(not null)，定义缺省值（default）,
例
```
当前时间缺省值：default current_timestamp()
时间缺省值使用： default‘1970-01-01 00:00:00’
``` 
### 5、数值类型，如果是非负数，都使用unsigned 关键字标记
例
```
status tinyint unsigned 
```
### 6、状态规范，表达是与否概念的字段，必须使用 is_xxx的方式命名，数据类型是 unsigned tinyint（1 表示是，0 表示否）
例
```
comment '订单状态，0：关闭；1：正常'
comment '是否正常：0：否；1：是'
...
```
### 7、表、字段必须有注释（comment）
如果涉及到枚举值，必须定义清楚每个值所代表的是什么
例
```
order_status comment '订单状态，0：关闭；1：正常'
```
### 8、涉及到外键（逻辑键），需要在comment 里面指定，来源，
例
```
user_id comment '用户ID，依赖于：user.id'
```

### 9、涉及到金额字段，全部用decimal，
例
```
`goods_price` decimal(12,4) NOT NULL COMMENT '商品价格',
```
