**# 接口说明**

**## 一、http交互**



基于Restful风格的Http接口。

接口是Http方式的调用，只要满足接口要求，可以不限于客户端语言，进行接口对接。接口返回格式为JSON。 





**## 二、接口请求全局参数设置**



所有接口都需要请求头携带两个请求头参数,

```javascript
headers: {

​    ClientId: xxxx,

​    ClientSecret: xxxxxxxxxxxx

}
```



**## 三、接口响应返回值说明**



接口响应是否成功，用HTTP状态码标识

| 状态值 | 说明                                              |
| ------ | ------------------------------------------------- |
| 200    | 接口调用成功                                      |
| 401    | Token值错误或已失效，无权访问（一般认为是未登录） |
| 403    | 禁止访问，无权访问该接口                          |
| 500    | 接口异常，返回具体异常信息                        |

500的异常信息示例：

```json

{
  "code": 400,  //业务状态码，其值，参考状态码列表
  "message": "文件扩展名必须是[jpg,jpeg,gif,png,bmp,tif,pdf],文件大小不能超过10M",   //错误提示信息
  "detailMessage": "OCRFileParamter 参数错误",    //错误详情
  "data": null  //返回的数据体，根据部分接口需求，会返回错误的数据体或者传参的原数据，一般情况下，该值为null
}
```


