**# 消息通知**

消息体结构
```json
{
    "code":0,         //=0 为成功，其他业务状态码，参考状态码列表
    "message":"消息提示",
    "detailMessage":null,
    "data":{
        "id":"任务ID",
        "type":"消息类别",
        "result":{                //返回的消息结果
            .........
        }
    }
}

```


**## 一、OCR双层PDF接口示例**

```json
{
    "code":0,
    "message":"处理成功",
    "detailMessage":null,
    "data":{
        "id":"eb487329-4f83-4ea2-837e-37fb96166631",        //任务ID
        "type":"COMMON_OCR_PDF",                            //任务类型OCR双层PDf，可作为消息通知的业务类别
        "result":{
            "filePath":"http://124.70.110.161:8200/caseinfo/file/download-s3?path=basic-tmp%2Fcommon%2Fdf91fa6e-2e32-437b-8b74-5f24379c7dd2.pdf"   //文件下载地址
        }
    }
}

```



**## 二、OCR文本信息示例**

```json
{
    "code":0,
    "message":"处理成功",
    "detailMessage":null,
    "data":{
        "id":"79c0eb65-f7d2-4af0-803b-d5e4c457d640",   //任务ID
        "type":"COMMON_OCR_TEXT",                      //任务类型OCR文本任务，可作为消息通知的业务类别
        "result":{                                     //识别结果值，二位数组
            "texts":[
                [
                    "微信小程序",
                    "APP",
                    "LB负载均衡器(Nginx)",
                    "APIGateway",
                    "服务注册"
                ],
                [
                    "中国共产党",
                    "有限公司支部委员会(函)",
                    "石家庄市中级人民法院:",
                    "经我支部委员会研究决定委派中国共产党党员",
                    "纠纷一案中的有关事宜。",
                    "同志,",
                    "到庭证明",
                    "斥",
                    "持证明。问题在一审诉讼前就不具备法定代表人资格",
                    "特证明",
                    "了。",
                    "望依法准许出庭",
                    "中国共产党",
                    "北京奥奥贸有限公司党支部",
                    "2018年11月9日",
                    "上海市松江区"
                ]
            ]
        }
    }
}


```


