# 卷宗OCR服务接口

**简介**:卷宗OCR服务接口

**HOST**:127.0.0.1:8200

**联系人**:润普网络

**Version**:1.0


[TOC]

# 接口说明



**## 一、http交互**



基于Restful风格的Http接口。

接口是Http方式的调用，只要满足接口要求，可以不限于客户端语言，进行接口对接。接口返回格式为JSON。 





**## 二、接口请求全局参数设置**



所有接口都需要请求头携带两个请求头参数,

```javascript
headers: {

​    ClientId: xxxx,

​    ClientSecret: xxxxxxxxxxxx

}
```



**## 三、接口响应返回值说明**



接口响应是否成功，用HTTP状态码标识

| 状态值 | 说明                                              |
| ------ | ------------------------------------------------- |
| 200    | 接口调用成功                                      |
| 401    | Token值错误或已失效，无权访问（一般认为是未登录） |
| 403    | 禁止访问，无权访问该接口                          |
| 500    | 接口异常，返回具体异常信息                        |

500的异常信息示例：

```json

{
  "code": 400,  //业务状态码，其值，参考状态码列表
  "message": "文件扩展名必须是[jpg,jpeg,gif,png,bmp,tif,pdf],文件大小不能超过10M",   //错误提示信息
  "detailMessage": "OCRFileParamter 参数错误",    //错误详情
  "data": null  //返回的数据体，根据部分接口需求，会返回错误的数据体或者传参的原数据，一般情况下，该值为null
}
```





# 用户设置服务



## 设置通知接口


**接口地址**:`/user/base/settings/notify`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
    "headers": {
        "ClientID": "whrp",
        "ClientSecret": "xxxxxxxxxxx"
    },
	"url": "http://127.0.0.1:8082/accept"
}
```


**请求参数**:


| 参数名称 | 参数说明 | in    | 是否必须 | 数据类型 | schema |
| -------- | -------- | ----- | -------- | -------- | ------ |
|setting|setting|body|true|NotificationSetting|NotificationSetting|
|&emsp;&emsp;headers|请求头||false|object||
|&emsp;&emsp;url|通知的地址||false|string||


**响应状态**:


| 状态码 | 说明 | schema |
| -------- | -------- | ----- | 
|200|OK||
|201|Created||
|401|Unauthorized||
|403|Forbidden||
|404|Not Found||


**响应参数**:


暂无


**响应示例**:
```javascript

```



## 获取通知配置接口


**接口地址**:`/user/base/settings/notify`


**请求方式**:`GET`


**请求数据类型**:`*`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:



**响应状态**:


| 状态码 | 说明 | schema |
| -------- | -------- | ----- | 
|200|OK||
|401|Unauthorized||
|403|Forbidden||
|404|Not Found||



**响应示例**:
```json
{
  "url": "http://192.168.0.20:8082/accept",
  "headers": {
    "ClientID": "whrp",
    "ClientSecret": "xxxxxxxxxxxxxx"
  }
}
```




# OCR服务


## 文件转双层PDF-异步


**接口地址**:`/basic/ocr/convert-pdf-async`

**请求方式**:`POST`

**请求数据类型**:`multipart/form-data,multipart/*`

**响应数据类型**:`*/*`

**接口描述**:文件扩展名必须是[jpg,jpeg,gif,png,bmp,pdf],文件大小不能超过10M,文件数量不能超过10个


**请求参数**:


| 参数名称 | 参数说明 | in       | 是否必须 | 数据类型 | schema |
| -------- | -------- | -------- | -------- | -------- | ------ |
| files    | 文件     | formData | true     | array    | file   |


**响应状态**:


| 状态码 | 说明         | schema   |
| ------ | ------------ | -------- |
| 200    | OK           | FileTask |
| 201    | Created      |          |
| 401    | Unauthorized |          |
| 403    | Forbidden    |          |
| 404    | Not Found    |          |


**响应参数**:


| 参数名称 | 参数说明                 | 类型   | schema |
| -------- | ------------------------ | ------ | ------ |
| taskID   | 任务ID，回调接口回传改值 | string |        |


**响应示例**:
```javascript
{
	"taskID": "5d102620-ea21-4e64-9223-aa813d78c130"
}
```


## OCR识别-异步


**接口地址**:`/basic/ocr/recognize-async`


**请求方式**:`POST`


**请求数据类型**:`multipart/form-data,multipart/*`


**响应数据类型**:`*/*`


**接口描述**:文件扩展名必须是[jpg,jpeg,gif,png,bmp],文件大小不能超过10M,文件数量不能超过10个


**请求参数**:


| 参数名称 | 参数说明 | in       | 是否必须 | 数据类型 | schema |
| -------- | -------- | -------- | -------- | -------- | ------ |
| files    | 文件     | formData | true     | array    | file   |


**响应状态**:


| 状态码 | 说明         | schema   |
| ------ | ------------ | -------- |
| 200    | OK           | FileTask |
| 201    | Created      |          |
| 401    | Unauthorized |          |
| 403    | Forbidden    |          |
| 404    | Not Found    |          |


**响应参数**:


| 参数名称 | 参数说明                 | 类型   | schema |
| -------- | ------------------------ | ------ | ------ |
| taskID   | 任务ID，回调接口回传改值 | string |        |


**响应示例**:
```javascript
{
	"taskID": "5d102620-ea21-4e64-9223-aa813d78c130"
}
```





# 卷宗服务

## 查询完整案件信息（目录+文件）




**接口地址**:`/caseinfo/full-case`


**请求方式**:`GET`


**请求数据类型**:`*`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


**请求参数**:


| 参数名称 | 参数说明 | in    | 是否必须 | 数据类型 | schema |
| -------- | -------- | ----- | -------- | -------- | ------ |
|caseId|ID|query|false|string||
|caseName|案号|query|false|string||
|hasPathPrefix|是否返回文件路径前缀|query|false|string||


**响应状态**:


| 状态码 | 说明 | schema |
| -------- | -------- | ----- | 
|200|OK|CaseInfoDTO|
|401|Unauthorized||
|403|Forbidden||
|404|Not Found||

**响应参数**:


| 参数名称 | 参数说明 | 类型 | schema |
| -------- | -------- | ----- |----- |
|archived|是否归档|boolean||
|bizType|业务类型|string||
|caseCode|案件标识|string||
|caseDetailName|案件名称|string||
|caseExtId|扩展ID字段，一般是指华宇案件ID|string||
|caseId|案件ID|integer(int64)|integer(int64)|
|caseName|案号|string||
|caseReason|案件理由|string||
|caseStatus|案件状态|integer(int32)|integer(int32)|
|caseType|案件类型|CaseType|CaseType|
|&emsp;&emsp;code||string||
|&emsp;&emsp;fullName||string||
|&emsp;&emsp;id||integer(int64)||
|&emsp;&emsp;name||string||
|cbrName|承办人|string||
|claim|诉讼请求|string||
|closeDate||string(date-time)|string(date-time)|
|closed|是否结案|boolean||
|court|法院信息|Organization|Organization|
|&emsp;&emsp;code||string||
|&emsp;&emsp;id||integer(int64)||
|&emsp;&emsp;name||string||
|&emsp;&emsp;pid||integer(int64)||
|&emsp;&emsp;shortName||string||
|&emsp;&emsp;type||string||
|courtRoom|庭室信息|Organization|Organization|
|&emsp;&emsp;code||string||
|&emsp;&emsp;id||integer(int64)||
|&emsp;&emsp;name||string||
|&emsp;&emsp;pid||integer(int64)||
|&emsp;&emsp;shortName||string||
|&emsp;&emsp;type||string||
|directoryList|目录列表|array|DirectoryInfo|
|&emsp;&emsp;children|子目录|array|DirectoryInfo|
|&emsp;&emsp;&emsp;&emsp;children|子目录|array|DirectoryInfo|
|&emsp;&emsp;&emsp;&emsp;description|目录备注|string||
|&emsp;&emsp;&emsp;&emsp;fileList|文件列表|array|FileInfo|
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;derivatives||array|StorageFile|
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;bizType||string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;fileId||string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;fileName||string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;filePath||string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;fileSize||integer(int64)||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;fileType||string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;dirMap||JsonNode|JsonNode|
| &emsp;                                                   |                                |                   |                   |
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;fileId||integer(int64)||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;fileIndex|序号|integer(int32)||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;fileName|文件名称|string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;filePath|文件路径|string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;fileSize|文件大小|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;fileType|文件类型|string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;globalFileIndex|全局文件序号|integer(int32)||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;image||boolean||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;recogType|OCR，CV识别的类型|string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;tags||JsonNode|JsonNode|
|                                                          |                                         |                   ||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;updateTime|更新时间|string(date)||
|&emsp;&emsp;&emsp;&emsp;id|目录ID|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;name|目录名称|string||
|&emsp;&emsp;&emsp;&emsp;pid|父目录ID|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;sn|序号|integer(int32)||
|&emsp;&emsp;&emsp;&emsp;type|目录类型|integer(int32)||
|&emsp;&emsp;&emsp;&emsp;updateTime||string(date)||
|&emsp;&emsp;description|目录备注|string||
|&emsp;&emsp;fileList|文件列表|array|FileInfo|
|&emsp;&emsp;&emsp;&emsp;derivatives||array|StorageFile|
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;bizType||string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;fileId||string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;fileName||string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;filePath||string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;fileSize||integer(int64)||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;fileType||string||
|&emsp;&emsp;&emsp;&emsp;dirMap||JsonNode|JsonNode|
| &emsp;&emsp;&emsp;&emsp;                                     ||||
|&emsp;&emsp;&emsp;&emsp;fileId||integer(int64)||
|&emsp;&emsp;&emsp;&emsp;fileIndex|序号|integer(int32)||
|&emsp;&emsp;&emsp;&emsp;fileName|文件名称|string||
|&emsp;&emsp;&emsp;&emsp;filePath|文件路径|string||
|&emsp;&emsp;&emsp;&emsp;fileSize|文件大小|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;fileType|文件类型|string||
|&emsp;&emsp;&emsp;&emsp;globalFileIndex|全局文件序号|integer(int32)||
|&emsp;&emsp;&emsp;&emsp;image||boolean||
|&emsp;&emsp;&emsp;&emsp;recogType|OCR，CV识别的类型|string||
|&emsp;&emsp;&emsp;&emsp;tags||JsonNode|JsonNode|
|                                     |                                                              |||
|&emsp;&emsp;&emsp;&emsp;updateTime|更新时间|string(date)||
|&emsp;&emsp;id|目录ID|integer(int64)||
|&emsp;&emsp;name|目录名称|string||
|&emsp;&emsp;pid|父目录ID|integer(int64)||
|&emsp;&emsp;sn|序号|integer(int32)||
|&emsp;&emsp;type|目录类型|integer(int32)||
|&emsp;&emsp;updateTime||string(date)||
|judge|法官-承办人|Judge|Judge|
|&emsp;&emsp;id||integer(int64)||
|&emsp;&emsp;name||string||
|partyList|当事人列表|array|Party|
|&emsp;&emsp;idNumber|身份证或统一信用代码|string||
|&emsp;&emsp;roleId|当事人角色ID|integer(int64)||
|&emsp;&emsp;roleName|原告或被告|string||
|&emsp;&emsp;userName|当事人名称|string||
|registerDate||string(date-time)|string(date-time)|
|trialProcedures|审判程序|TrialProcedures|TrialProcedures|
|&emsp;&emsp;id||integer(int64)||
|&emsp;&emsp;name||string||
|updateTime|更新时间|string(date)|string(date)|
|xmlPath||string||


**响应示例**:
```javascript
{
  "caseId": "120000000000",
  "caseCode": "xxxxxx",
  "caseName": "（xxxx）冀xx刑初x号",
  "caseExtId": "4B66F380ECE440BC520ED343B31EABFB",
  "judge": null,
  "caseDetailName": null,
  "caseType": {
    "id": "1",
    "name": "刑事",
    "fullName": "刑事一审",
    "code": null
  },
  "trialProcedures": {
    "id": "1",
    "name": "一审"
  },
  "registerDate": null,
  "closeDate": null,
  "court": {
    "id": "101",
    "pid": "100",
    "name": "石家庄市中级人民法院",
    "shortName": "冀01",
    "code": "101",
    "type": null
  },
  "courtRoom": {
    "id": "6619152",
    "pid": null,
    "name": "刑一庭",
    "shortName": null,
    "code": "6619152",
    "type": null
  },
  "bizType": "20100",
  "caseStatus": null,
  "directoryList": [
    {
      "id": "1446742252834656256",
      "name": "正卷",
      "type": 1,
      "description": "zj",
      "pid": "0",
      "sn": 1,
      "fileList": null,
      "children": [
        {
          "id": "1446742252834656258",
          "name": "案件审判流程管理信息表、案件登记表",
          "type": 4,
          "description": "",
          "pid": "1446742252834656256",
          "sn": 1,
          "fileList": [
            {
              "fileId": "1446742401224937472",
              "fileName": "1446742401224937472.jpg",
              "filePath": "http://127.0.0.1:8085/images/id_1413597967056868_1446742401224937472",
              "fileSize": "933449",
              "fileType": "image/jpeg",
              "tags": {},
              "updateTime": "2021-10-21 12:49:03",
              "derivatives": [
                {
                  "fileSize": "933449",
                  "fileName": "a0bc218b-0794-4117-9e52-3c4b4d916711",
                  "fileId": "1446742484684238850",
                  "bizType": "thumbnail",
                  "fileType": "image/jpeg",
                  "filePath": "http://127.0.0.1:8080/caseinfo/file/viewer?caseId=1413597967056868&fileId=1446742484684238850&ext=true"
                },
                {
                  "fileSize": "933449",
                  "fileName": "784c754b-3c4f-4610-9934-0c2eacbd037a",
                  "fileId": "1446742567064563714",
                  "bizType": "pdf",
                  "fileType": "application/pdf",
                  "filePath": "http://127.0.0.1:8080/caseinfo/file/viewer?caseId=1413597967056868&fileId=1446742567064563714&ext=true"
                }
              ],
              "dirMap": {
                "gd_dir_id": 1446742252834656258,
                "gd_file_dir_index": 1,
                "review_dir_id": 0,
                "review_file_dir_index": 0,
                "archived_dir_id": 0,
                "archived_file_dir_index": 0,
                "zz_dir_id": 0,
                "zz_file_dir_index": 0
              },
              "fileIndex": 1,
              "globalFileIndex": 5,
              "recogType": null,
              "image": true
            }
          ],
          "children": null,
          "updateTime": "2021-10-09 15:40:06"
        },
        {
          "id": "1446742252834656260",
          "name": "案件移送函等表明案件来源的材料",
          "type": 4,
          "description": "",
          "pid": "1446742252834656256",
          "sn": 2,
          "fileList": [
            {
              "fileId": "1446742404446162944",
              "fileName": "1446742404446162944.jpg",
              "filePath": "http://127.0.0.1:8085/images/id_1413597967056868_1446742404446162944",
              "fileSize": "741283",
              "fileType": "image/jpeg",
              "tags": {},
              "updateTime": "2021-10-21 12:49:03",
              "derivatives": [
                {
                  "fileSize": "741283",
                  "fileName": "66bbef0f-4ff2-441e-9606-a0066dffb26c",
                  "fileId": "1446742492535975937",
                  "bizType": "thumbnail",
                  "fileType": "image/jpeg",
                  "filePath": "http://127.0.0.1:8080/caseinfo/file/viewer?caseId=1413597967056868&fileId=1446742492535975937&ext=true"
                },
                {
                  "fileSize": "741283",
                  "fileName": "0eba593b-df2f-4b87-9d0f-a5e0a3ab5884",
                  "fileId": "1446742584517062658",
                  "bizType": "pdf",
                  "fileType": "application/pdf",
                  "filePath": "http://127.0.0.1:8080/caseinfo/file/viewer?caseId=1413597967056868&fileId=1446742584517062658&ext=true"
                }
              ],
              "dirMap": {
                "gd_dir_id": 1446742252834656260,
                "gd_file_dir_index": 1,
                "review_dir_id": 0,
                "review_file_dir_index": 0,
                "archived_dir_id": 0,
                "archived_file_dir_index": 0,
                "zz_dir_id": 0,
                "zz_file_dir_index": 0
              },
              "fileIndex": 1,
              "globalFileIndex": 6,
              "recogType": null,
              "image": true
            },
            {
              "fileId": "1446742408611106816",
              "fileName": "1446742408611106816.jpg",
              "filePath": "http://127.0.0.1:8085/images/id_1413597967056868_1446742408611106816",
              "fileSize": "810417",
              "fileType": "image/jpeg",
              "tags": {},
              "updateTime": "2021-10-21 12:49:03",
              "derivatives": [
                {
                  "fileSize": "810417",
                  "fileName": "ba55de8a-6d97-4e4e-96f8-9b4c4de442d9",
                  "fileId": "1446742499372691457",
                  "bizType": "thumbnail",
                  "fileType": "image/jpeg",
                  "filePath": "http://127.0.0.1:8080/caseinfo/file/viewer?caseId=1413597967056868&fileId=1446742499372691457&ext=true"
                },
                {
                  "fileSize": "810417",
                  "fileName": "2ae042d2-6168-46ce-bb26-49a56078dfc1",
                  "fileId": "1446742606784622594",
                  "bizType": "pdf",
                  "fileType": "application/pdf",
                  "filePath": "http://127.0.0.1:8080/caseinfo/file/viewer?caseId=1413597967056868&fileId=1446742606784622594&ext=true"
                }
              ],
              "dirMap": {
                "gd_dir_id": 1446742252834656260,
                "gd_file_dir_index": 2,
                "review_dir_id": 0,
                "review_file_dir_index": 0,
                "archived_dir_id": 0,
                "archived_file_dir_index": 0,
                "zz_dir_id": 0,
                "zz_file_dir_index": 0
              },
              "fileIndex": 2,
              "globalFileIndex": 7,
              "recogType": null,
              "image": true
            }
          ],
          "children": null,
          "updateTime": "2021-10-09 15:40:06"
        },
        {
          "id": "1446742252834656259",
          "name": "诉讼材料收取清单",
          "type": 4,
          "description": "",
          "pid": "1446742252834656256",
          "sn": 3,
          "fileList": [
            {
              "fileId": "1447819037211885569",
              "fileName": "法院文书顺序_20211008155548",
              "filePath": "http://127.0.0.1:8085/images/id_1413597967056868_1447819037211885569",
              "fileSize": "105322",
              "fileType": "application/pdf",
              "tags": {},
              "updateTime": "2021-10-21 12:49:03",
              "derivatives": [],
              "dirMap": {
                "gd_dir_id": 1446742252834656259,
                "gd_file_dir_index": 1,
                "review_dir_id": 0,
                "review_file_dir_index": 0,
                "archived_dir_id": 0,
                "archived_file_dir_index": 0,
                "zz_dir_id": 0,
                "zz_file_dir_index": 0
              },
              "fileIndex": 1,
              "globalFileIndex": 1,
              "recogType": null,
              "image": false
            },
            {
              "fileId": "1448470958167945218",
              "fileName": "法院文书顺序14",
              "filePath": "http://127.0.0.1:8085/images/id_1413597967056868_1448470958167945218",
              "fileSize": "123573",
              "fileType": "application/pdf",
              "tags": {},
              "updateTime": "2021-10-21 12:49:03",
              "derivatives": [],
              "dirMap": {
                "gd_dir_id": 1446742252834656259,
                "gd_file_dir_index": 2,
                "review_dir_id": 0,
                "review_file_dir_index": 0,
                "archived_dir_id": 0,
                "archived_file_dir_index": 0,
                "zz_dir_id": 0,
                "zz_file_dir_index": 0
              },
              "fileIndex": 2,
              "globalFileIndex": 2,
              "recogType": null,
              "image": false
            }
          ],
          "children": null,
          "updateTime": "2021-10-09 15:40:06"
        },
        {
          "id": "1446742252834656261",
          "name": "起诉书及相关材料",
          "type": 4,
          "description": "",
          "pid": "1446742252834656256",
          "sn": 4,
          "fileList": [
            {
              "fileId": "1451462872706056193",
              "fileName": "法院文书顺序14.pdf",
              "filePath": "http://127.0.0.1:8085/images/id_1413597967056868_1451462872706056193",
              "fileSize": "123573",
              "fileType": "application/pdf",
              "tags": {},
              "updateTime": "2021-10-22 16:18:10",
              "derivatives": [],
              "dirMap": {
                "gd_dir_id": 1446742252834656261,
                "gd_file_dir_index": 1,
                "review_dir_id": 0,
                "review_file_dir_index": 0,
                "archived_dir_id": 0,
                "archived_file_dir_index": 0,
                "zz_dir_id": 0,
                "zz_file_dir_index": 0
              },
              "fileIndex": 1,
              "globalFileIndex": 1,
              "recogType": null,
              "image": false
            }
          ],
          "children": null,
          "updateTime": "2021-10-09 15:40:06"
        },
        {
          "id": "1446742252834656262",
          "name": "附带民事公益诉讼公告等材料",
          "type": 4,
          "description": "",
          "pid": "1446742252834656256",
          "sn": 5,
          "fileList": null,
          "children": null,
          "updateTime": "2021-10-09 15:40:06"
        },
        {
          "id": "1446742252834656263",
          "name": "量刑建议书",
          "type": 4,
          "description": "",
          "pid": "1446742252834656256",
          "sn": 6,
          "fileList": [
            {
              "fileId": "1453539686643527682",
              "fileName": "25.jpg",
              "filePath": "http://127.0.0.1:8085/images/id_1413597967056868_1453539686643527682",
              "fileSize": "371464",
              "fileType": "image/jpeg",
              "tags": {},
              "updateTime": "2021-10-28 09:50:53",
              "derivatives": [
                {
                  "fileSize": "371464",
                  "fileName": "6bea75a7-808e-4e72-b914-8712aa0528b8",
                  "fileId": "1453539702116315137",
                  "bizType": "thumbnail",
                  "fileType": "image/jpeg",
                  "filePath": "http://127.0.0.1:8080/caseinfo/file/viewer?caseId=1413597967056868&fileId=1453539702116315137&ext=true"
                },
                {
                  "fileSize": "371464",
                  "fileName": "873ac4bb-6232-447b-a8a3-0d7025658af9",
                  "fileId": "1453539736996147202",
                  "bizType": "pdf",
                  "fileType": "application/pdf",
                  "filePath": "http://127.0.0.1:8080/caseinfo/file/viewer?caseId=1413597967056868&fileId=1453539736996147202&ext=true"
                }
              ],
              "dirMap": {
                "gd_dir_id": 1446742252834656263,
                "gd_file_dir_index": 1,
                "review_dir_id": 0,
                "review_file_dir_index": 0,
                "archived_dir_id": 0,
                "archived_file_dir_index": 0,
                "zz_dir_id": 0,
                "zz_file_dir_index": 0
              },
              "fileIndex": 1,
              "globalFileIndex": 1,
              "recogType": null,
              "image": true
            },
            {
              "fileId": "1453539692867874817",
              "fileName": "26.jpg",
              "filePath": "http://127.0.0.1:8085/images/id_1413597967056868_1453539692867874817",
              "fileSize": "167304",
              "fileType": "image/jpeg",
              "tags": {},
              "updateTime": "2021-10-28 09:50:55",
              "derivatives": [
                {
                  "fileSize": "167304",
                  "fileName": "a7f89a82-aff9-4740-8b56-f56b141f16f8",
                  "fileId": "1453539706470002689",
                  "bizType": "thumbnail",
                  "fileType": "image/jpeg",
                  "filePath": "http://127.0.0.1:8080/caseinfo/file/viewer?caseId=1413597967056868&fileId=1453539706470002689&ext=true"
                },
                {
                  "fileSize": "167304",
                  "fileName": "d961fb69-bfe0-4550-b473-af81b1bea965",
                  "fileId": "1453539746139729922",
                  "bizType": "pdf",
                  "fileType": "application/pdf",
                  "filePath": "http://127.0.0.1:8080/caseinfo/file/viewer?caseId=1413597967056868&fileId=1453539746139729922&ext=true"
                }
              ],
              "dirMap": {
                "gd_dir_id": 1446742252834656263,
                "gd_file_dir_index": 2,
                "review_dir_id": 0,
                "review_file_dir_index": 0,
                "archived_dir_id": 0,
                "archived_file_dir_index": 0,
                "zz_dir_id": 0,
                "zz_file_dir_index": 0
              },
              "fileIndex": 2,
              "globalFileIndex": 2,
              "recogType": null,
              "image": true
            },
            {
              "fileId": "1453539697280282625",
              "fileName": "29.jpg",
              "filePath": "http://127.0.0.1:8085/images/id_1413597967056868_1453539697280282625",
              "fileSize": "455106",
              "fileType": "image/jpeg",
              "tags": {},
              "updateTime": "2021-10-28 09:50:56",
              "derivatives": [
                {
                  "fileSize": "455106",
                  "fileName": "4dd9e1a8-d006-4274-8691-d7576651fce7",
                  "fileId": "1453539726283894785",
                  "bizType": "thumbnail",
                  "fileType": "image/jpeg",
                  "filePath": "http://127.0.0.1:8080/caseinfo/file/viewer?caseId=1413597967056868&fileId=1453539726283894785&ext=true"
                },
                {
                  "fileSize": "455106",
                  "fileName": "799ca551-0623-4138-9abe-9ab228a2bf5b",
                  "fileId": "1453539751374221313",
                  "bizType": "pdf",
                  "fileType": "application/pdf",
                  "filePath": "http://127.0.0.1:8080/caseinfo/file/viewer?caseId=1413597967056868&fileId=1453539751374221313&ext=true"
                }
              ],
              "dirMap": {
                "gd_dir_id": 1446742252834656263,
                "gd_file_dir_index": 3,
                "review_dir_id": 0,
                "review_file_dir_index": 0,
                "archived_dir_id": 0,
                "archived_file_dir_index": 0,
                "zz_dir_id": 0,
                "zz_file_dir_index": 0
              },
              "fileIndex": 3,
              "globalFileIndex": 3,
              "recogType": null,
              "image": true
            }
          ],
          "children": null,
          "updateTime": "2021-10-09 15:40:06"
        },
        
        {
          "id": "1446742252843044952",
          "name": "正卷待分类区",
          "type": 8,
          "description": "preClass",
          "pid": "1446742252834656256",
          "sn": 49,
          "fileList": null,
          "children": null,
          "updateTime": "2021-10-09 15:40:06"
        }
      ],
      "updateTime": "2021-10-09 15:40:06"
    },
    {
      "id": "1446742252834656257",
      "name": "副卷",
      "type": 1,
      "description": "fj",
      "pid": "0",
      "sn": 2,
      "fileList": null,
      "children": [
        {
          "id": "1446742252843044909",
          "name": "立案审批表、刑事请示登记表、刑事减刑假释备案登记表",
          "type": 4,
          "description": "",
          "pid": "1446742252834656257",
          "sn": 1,
          "fileList": null,
          "children": [
            {
              "id": "1446742252843044937",
              "name": "立案审批表、刑事请示登记表、刑事减刑假释备案登记表",
              "type": 4,
              "description": "",
              "pid": "1446742252843044909",
              "sn": 1,
              "fileList": null,
              "children": null,
              "updateTime": "2021-10-09 15:40:06"
            },
            {
              "id": "1446742252843044938",
              "name": "立案审批表",
              "type": 4,
              "description": "",
              "pid": "1446742252843044909",
              "sn": 2,
              "fileList": null,
              "children": null,
              "updateTime": "2021-10-09 15:40:06"
            }
          ],
          "updateTime": "2021-10-09 15:40:06"
        },
        {
          "id": "1446742252843044910",
          "name": "与案件有关的批转材料",
          "type": 4,
          "description": "",
          "pid": "1446742252834656257",
          "sn": 2,
          "fileList": null,
          "children": [
            {
              "id": "1446742252843044939",
              "name": "交办件/转办件",
              "type": 4,
              "description": "",
              "pid": "1446742252843044910",
              "sn": 1,
              "fileList": null,
              "children": null,
              "updateTime": "2021-10-09 15:40:06"
            },
            {
              "id": "1446742252843044940",
              "name": "程序转换申请及批示材料",
              "type": 4,
              "description": "",
              "pid": "1446742252843044910",
              "sn": 2,
              "fileList": null,
              "children": null,
              "updateTime": "2021-10-09 15:40:06"
            },
            {
              "id": "1446742252843044941",
              "name": "信访材料",
              "type": 4,
              "description": "",
              "pid": "1446742252843044910",
              "sn": 3,
              "fileList": null,
              "children": null,
              "updateTime": "2021-10-09 15:40:06"
            },
            {
              "id": "1446742252843044942",
              "name": "其他材料",
              "type": 4,
              "description": "",
              "pid": "1446742252843044910",
              "sn": 4,
              "fileList": null,
              "children": null,
              "updateTime": "2021-10-09 15:40:06"
            }
          ],
          "updateTime": "2021-10-09 15:40:06"
        },
        {
          "id": "1446742252843044911",
          "name": "公安、检察机关提供的减刑材料",
          "type": 4,
          "description": "",
          "pid": "1446742252834656257",
          "sn": 3,
          "fileList": null,
          "children": null,
          "updateTime": "2021-10-09 15:40:06"
        },
        {
          "id": "1446742252843044914",
          "name": "传票等程序性文书的签发稿",
          "type": 4,
          "description": "",
          "pid": "1446742252834656257",
          "sn": 6,
          "fileList": [
            {
              "fileId": "1449996771325505538",
              "fileName": "17个",
              "filePath": "http://127.0.0.1:8085/images/id_1413597967056868_1449996771325505538",
              "fileSize": "164633",
              "fileType": "image/jpeg",
              "tags": {},
              "updateTime": "2021-10-21 12:49:03",
              "derivatives": [
                {
                  "fileSize": "164633",
                  "fileName": "737f856c-630d-4616-af82-d7504556cdd6",
                  "fileId": "1449996782062923777",
                  "bizType": "thumbnail",
                  "fileType": "image/jpeg",
                  "filePath": "http://127.0.0.1:8080/caseinfo/file/viewer?caseId=1413597967056868&fileId=1449996782062923777&ext=true"
                },
                {
                  "fileSize": "164633",
                  "fileName": "54f7200d-e8af-4a75-b5af-384ada4ea67e",
                  "fileId": "1449996798445875202",
                  "bizType": "pdf",
                  "fileType": "application/pdf",
                  "filePath": "http://127.0.0.1:8080/caseinfo/file/viewer?caseId=1413597967056868&fileId=1449996798445875202&ext=true"
                }
              ],
              "dirMap": {
                "gd_dir_id": 1446742252843044914,
                "gd_file_dir_index": 2,
                "review_dir_id": 0,
                "review_file_dir_index": 0,
                "archived_dir_id": 0,
                "archived_file_dir_index": 0,
                "zz_dir_id": 0,
                "zz_file_dir_index": 0
              },
              "fileIndex": 2,
              "globalFileIndex": 2,
              "recogType": null,
              "image": true
            }
          ],
          "children": null,
          "updateTime": "2021-10-09 15:40:06"
        }
      ],
      "updateTime": "2021-10-09 15:40:06"
    }
  ],
  "caseReason": null,
  "claim": null,
  "partyList": null,
  "cbrName": null,
  "updateTime": null,
  "closed": false,
  "archived": false,
  "xmlPath": "dzjz101-6/2021/11/09/5913ef1f-2c99-4ea6-8322-101447309685.xml"
}
```


## 卷宗的材料文件，生成双层PDF，OCR-TEXT，缩略图...



**接口地址**:`/caseinfo/file/convert-case`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


**请求参数**:


| 参数名称 | 参数说明 | in    | 是否必须 | 数据类型 | schema |
| -------- | -------- | ----- | -------- | -------- | ------ |
|caseName|案号|query|true|string||


**响应状态**:


| 状态码 | 说明 | schema |
| -------- | -------- | ----- | 
|200|OK||
|201|Created||
|401|Unauthorized||
|403|Forbidden||
|404|Not Found||


**响应参数**:


暂无


**响应示例**:
```javascript

```



# 消息通知


消息体结构
```json
{
    "code":0,         //=0 为成功，其他业务状态码，参考状态码列表
    "message":"消息提示",
    "detailMessage":null,
    "data":{
        "id":"任务ID",
        "type":"消息类别",
        "result":{                //返回的消息结果
            .........
        }
    }
}

```


**## 一、OCR双层PDF接口示例**

```json
{
    "code":0,
    "message":"处理成功",
    "detailMessage":null,
    "data":{
        "id":"eb487329-4f83-4ea2-837e-37fb96166631",        //任务ID
        "type":"COMMON_OCR_PDF",                            //任务类型OCR双层PDf，可作为消息通知的业务类别
        "result":{
            "filePath":"http://127.0.0.1:8200/caseinfo/file/download-s3?path=basic-tmp%2Fcommon%2Fdf91fa6e-2e32-437b-8b74-5f24379c7dd2.pdf"   //文件下载地址，文件有效时间为24小时，之后会清理掉
        }
    }
}

```



**## 二、OCR文本信息示例**

```json
{
    "code":0,
    "message":"处理成功",
    "detailMessage":null,
    "data":{
        "id":"79c0eb65-f7d2-4af0-803b-d5e4c457d640",   //任务ID
        "type":"COMMON_OCR_TEXT",                      //任务类型OCR文本任务，可作为消息通知的业务类别
        "result":{                                     //识别结果值，二位数组
            "texts":[
                [
                    "微信小程序",
                    "APP",
                    "LB负载均衡器(Nginx)",
                    "APIGateway",
                    "服务注册"
                ],
                [
                    "中国共产党",
                    "有限公司支部委员会(函)",
                    "石家庄市中级人民法院:",
                    "经我支部委员会研究决定委派中国共产党党员",
                    "纠纷一案中的有关事宜。",
                    "同志,",
                    "到庭证明",
                    "斥",
                    "持证明。问题在一审诉讼前就不具备法定代表人资格",
                    "特证明",
                    "了。",
                    "望依法准许出庭",
                    "中国共产党",
                    "北京奥奥贸有限公司党支部",
                    "2018年11月9日",
                    "上海市松江区"
                ]
            ]
        }
    }
}


```




# 状态码列表



| 状态值 | 状态说明                                              |
| ------ | ----------------------------------------------------- |
| 10000  | 数据({0})不存在                                       |
| 30001  | 最多只能传{0}个文件                                   |
| 30002  | 不能识别图片[{0}](OCR支持的图片有png,jpg,jpeg,gif)    |
| 30003  | 图片参数不能为空                                      |
| 30004  | OCR识别错误({0})                                      |
| 30005  | 文件转PDF失败                                         |
| 30006  | PDF合并异常                                           |
| 30007  | 暂时无法进行图片预处理                                |
| 30008  | 图片为空白页：{0}                                     |
| 30009  | 文件预处理出现预期外结果                              |
| 30010  | 文件异步分类识别处理异常：{0}                         |
| 30011  | 不能识别图片[{0}](缩略图支持的图片有png,jpg,jpeg,gif) |
| 30012  | 生成缩略图失败({0})                                   |
| 30013  | 场景后端识别错误：{0}                                 |
| 30014  | 起诉书解析错误：{0}                                   |
| 30016  | OCR服务异常({0})                                      |
| 30017  | 接口异常：{0}                                         |
| 30018  | 请求第三方服务异常：{0}                               |
| 30019  | 回调地址为空                                          |



