# 12-卷宗入卷服务接口

**简介**:12-卷宗入卷服务接口

**HOST**:127.0.0.1:8200

**Version**:1.0


[TOC]

# 接口说明



**## 一、http交互**



基于Restful风格的Http接口。

接口是Http方式的调用，只要满足接口要求，可以不限于客户端语言，进行接口对接。接口返回格式为JSON。 





**## 二、接口请求全局参数设置**



所有接口都需要请求头携带两个请求头参数,

```javascript
headers: {

​    ClientId: xxxx,

​    ClientSecret: xxxxxxxxxxxx

}
```



**## 三、接口响应返回值说明**



接口响应是否成功，用HTTP状态码标识

| 状态值 | 说明                                              |
| ------ | ------------------------------------------------- |
| 200    | 接口调用成功                                      |
| 401    | Token值错误或已失效，无权访问（一般认为是未登录） |
| 403    | 禁止访问，无权访问该接口                          |
| 500    | 接口异常，返回具体异常信息                        |

500的异常信息示例：

```json

{
  "code": 400,  //业务状态码，其值，参考状态码列表
  "message": "文件扩展名必须是[jpg,jpeg,gif,png,bmp,tif,pdf],文件大小不能超过10M",   //错误提示信息
  "detailMessage": "OCRFileParamter 参数错误",    //错误详情
  "data": null  //返回的数据体，根据部分接口需求，会返回错误的数据体或者传参的原数据，一般情况下，该值为null
}
```




## 同步新增文件结构


**接口地址**:`/caseinfo/fyy/file/append`
**北投接口地址**:`/caseinfo/fyy/file/append/beitou`
**华宇接口地址**:`/caseinfo/fyy/file/append/huayu`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:增量新增文件到卷宗


**请求示例**:


```json
{
 "caseCode": "10100000637584",
 "caseName": "（xxxx）京xx刑终xx号",
 "caseType": "1",
 "files": [
  {
   "cls": "EFILE",
   "derivatives": [
       {
          "name": "案件登记表",
          "path": "dzjz101-6/2020/01/06/27419099551683401/2092600683589972.pdf",
          "size": 122,
          "type": "PDF"
        },
        {
            "name": "案件登记表",
            "path": "dzjz101-6/2020/01/06/27419099551683401/2092600683589972.jpg",
            "size": 132,
            "type": "THUMBNAIL"
          }
    ],
   "dir": ["正卷","案件登记表"],
   "name": "案件登记表",
   "path": "dzjz101-6/2020/01/06/27419099551683401/2092600683589972.pdf",
   "size": 123,
   "createTime": "2010-01-01 01:01:01",
   "properties":{
      "fileId": "222222222",
      "aa": "bb"
    }            
  }
 ]
}
```


**请求参数**:


**请求参数**:


| 参数名称 | 参数说明 | in    | 是否必须 | 数据类型 | schema |
| -------- | -------- | ----- | -------- | -------- | ------ |
|fileList|fileList|body|true|GXFileListVO|GXFileListVO|
|&emsp;&emsp;caseName|案号||true|string||
|&emsp;&emsp;caseType|案件类型||true|string||
|&emsp;&emsp;files|文件列表||true|array|FileEntity|
|&emsp;&emsp;&emsp;&emsp;cls|EFILE=电子文档,PAPERFILE=纸质文档，默认纸质文档||false|string||
|&emsp;&emsp;&emsp;&emsp;createTime|文件创建时间,格式：2010-01-01 01:01:01||false|string||
|&emsp;&emsp;&emsp;&emsp;derivatives|其他文件，比如PDF，OCR-JSON，OCR-TEXT，缩略图...||false|array|ExtFileEntity|
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;id|文件ID，不需要传值，接口调用成功后，返回该值||false|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;name|文件名称||true|string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;path|文件路径||true|string||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;size|文件大小，最小单位byte||true|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;type|文件类型 OCR-JSON,OCR-TEXT,THUMBNAIL=缩略图,PDF||false|string||
|&emsp;&emsp;&emsp;&emsp;dir|文件所属目录，请填写目录完整路径，比如["正卷","证据"]||true|array|string|
|&emsp;&emsp;&emsp;&emsp;id|文件ID，不需要传值，接口调用成功后，返回该值||false|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;name|文件名称||true|string||
|&emsp;&emsp;&emsp;&emsp;path|文件路径||true|string||
|&emsp;&emsp;&emsp;&emsp;properties|其他属性参数,放入JSON对象数据，比如 properties={"creator":"guest","fileId":"123456"}||false|JsonNode|JsonNode|
|&emsp;&emsp;&emsp;&emsp;size|文件大小，最小单位byte||true|integer(int64)||


**响应状态**:


| 状态码 | 说明 | schema |
| -------- | -------- | ----- | 
|200|OK|GXFileListVO|
|201|Created||
|401|Unauthorized||
|403|Forbidden||
|404|Not Found||


**响应参数**:


| 参数名称 | 参数说明 | 类型 | schema |
| -------- | -------- | ----- |----- | 
|caseName|案号|string||
|caseType|案件类型|string||
|files|文件列表|array|FileEntity|
|&emsp;&emsp;cls|EFILE=电子文档,PAPERFILE=纸质文档，默认纸质文档|string||
|&emsp;&emsp;createTime|文件创建时间,格式：2010-01-01 01:01:01|string||
|&emsp;&emsp;derivatives|其他文件，比如PDF，OCR-JSON，OCR-TEXT，缩略图...|array|ExtFileEntity|
|&emsp;&emsp;&emsp;&emsp;id|文件ID，不需要传值，接口调用成功后，返回该值|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;name|文件名称|string||
|&emsp;&emsp;&emsp;&emsp;path|文件路径|string||
|&emsp;&emsp;&emsp;&emsp;size|文件大小，最小单位byte|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;type|文件类型 OCR-JSON,OCR-TEXT,THUMBNAIL=缩略图,PDF|string||
|&emsp;&emsp;dir|文件所属目录，请填写目录完整路径，比如["正卷","证据"]|array|string|
|&emsp;&emsp;id|文件ID，不需要传值，接口调用成功后，返回该值|integer(int64)||
|&emsp;&emsp;name|文件名称|string||
|&emsp;&emsp;path|文件路径|string||
|&emsp;&emsp;properties|其他属性参数,放入JSON对象数据，比如 properties={"creator":"guest","fileId":"123456"}|JsonNode|JsonNode|
|&emsp;&emsp;size|文件大小，最小单位byte|integer(int64)||


**响应示例**:
```json
{
 "caseCode": "10100000637584",
 "caseName": "（xxxx）京xx刑终xx号",
 "caseType": "1",
 "files": [
  {
   "id": "1419576746731597825",
   "cls": "EFILE",
   "derivatives": [
       {
          "id": "1419576746731597825",
          "name": "案件登记表",
          "path": "dzjz101-6/2020/01/06/27419099551683401/2092600683589972.pdf",
          "size": 122,
          "type": "PDF"
        },
        {
            "id": "1419576746731597826",
            "name": "案件登记表",
            "path": "dzjz101-6/2020/01/06/27419099551683401/2092600683589972.jpg",
            "size": 132,
            "type": "THUMBNAIL"
          }
    ],
   "dir": ["正卷","案件登记表"],
   "name": "案件登记表",
   "path": "dzjz101-6/2020/01/06/27419099551683401/2092600683589972.pdf",
   "size": 123,
   "createTime": "2010-01-01 01:01:01",
   "properties":{
      "fileId": "222222222",
      "aa": "bb"
    }  
  }
 ]
}
```



# 消息通知


消息体结构
```json
{
    "code":0,         //=0 为成功，其他业务状态码，参考状态码列表
    "message":"消息提示",
    "detailMessage":null,
    "data":{
        "id":"任务ID",
        "type":"消息类别",
        "result":{                //返回的消息结果
            .........
        }
    }
}

```



**## 一、统一存储文件变更通知**

| 参数名称                           | 参数说明                                         | 类型           | schema |
| ---------------------------------- | ------------------------------------------------ | -------------- | ------ |
| code                               | 忽略                                             | string         |        |
| message                            | 变更信息                                         | string         |        |
| data                               |                                          | object         |        |
| &emsp;&emsp;id                     | 消息ID                                           | string         |        |
| &emsp;type                         | STORAGE_CHANGE                                   | string         |        |
| &emsp;&emsp;result                 |  | object         |        |
| &emsp;&emsp;&emsp;&emsp;courtCode  | 法院代码                                         | string         |        |
| &emsp;&emsp;&emsp;&emsp;caseCode   | 案件标识                                         | string         |        |
| &emsp;&emsp;&emsp;&emsp;caseName   | 案号                                             | string         |        |
| &emsp;&emsp;&emsp;&emsp;xmlPath    | xml地址                                          | string         |        |
| &emsp;&emsp;&emsp;&emsp;version    | 版本值                                           | integer(int64) |        |
| &emsp;&emsp;&emsp;&emsp;createTime | Xml生成时间                                      | string         |        |


```json
{
    "code":0,         //=0 忽略
    "message":"变更信息",
    "data":{
        "id":"消息ID",
        "type":"STORAGE_CHANGE",
        "result":{                //返回的消息结果
            "courtCode":"0001",            //法院代码
            "caseCode":"2520201002013555",          //案件标识
            "caseName":"（xxxx）京xxxx执xxx号",          //案号
            "xmlPath":"dzjz101-6/2021/07/22//1295e079-894c-486d-b4b7-26da200b4ba6.xml",      //xml地址
            "version":1,      //版本值
            "createTime":"2020-01-01 08:00:00",      //Xml生成时间
        }
    }
}


```

# 状态码列表



| 状态值 | 状态说明                                              |
| ------ | ----------------------------------------------------- |
| 10000  | 数据({0})不存在                                       |
| 10008  | 案件标识{0}不存在                                       |
| 10009  | 目录不存在                                       |
| 10010  | 操作失败                                       |
| 11001  | 目录({0})不存在                                       |


