# 河北卷宗入卷服务接口（模拟华宇）

**简介**:13-河北卷宗入卷服务接口

**HOST**:127.0.0.1:8200

**Version**:1.0



[TOC]

# 接口说明



**## 一、http交互**



基于Restful风格的Http接口。

接口是Http方式的调用，只要满足接口要求，可以不限于客户端语言，进行接口对接。接口返回格式为JSON。 





**## 二、接口请求全局参数设置**



所有接口都需要请求头携带两个请求头参数,

```javascript
headers: {

​    ClientId: xxxx,

​    ClientSecret: xxxxxxxxxxxx

}
```



**## 三、接口响应返回值说明**



接口响应是否成功，用HTTP状态码标识

| 状态值 | 说明                                              |
| ------ | ------------------------------------------------- |
| 200    | 接口调用成功                                      |
| 401    | Token值错误或已失效，无权访问（一般认为是未登录） |
| 403    | 禁止访问，无权访问该接口                          |
| 500    | 接口异常，返回具体异常信息                        |



## 河北卷宗服务入卷（模拟华宇）


**接口地址**:`/caseinfo/hb-extra/append/hebei`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
	"ah": "（2020）冀0104民初5305号",
	"entityId": "10400000249632",
	"entityType": "1",
	"corpId": 104,
	"materials": [
		{
			"attachmentDownloadUrl": null,
			"attachmentFileName":  null,
			"attachmentSize": null,
			"clsx": 0,
			"dir": ["正卷","上诉案件移送函"],
			"fileDownloadUrl": "http://124.70.110.161:8085/images/dzjz101-6/2022/01/04/1130606479997428/1503006919542050816.jpg",
			"fileName": "202209061409.jpg",
			"fileTypeName": "JPG",
		    "tags": {
				"MEDIA": "EFILE",
				"OWNER": "原告材料",
				"SOURCE": "纸"
			}
		},{
			"attachmentDownloadUrl": "http://124.70.110.161:8085/images/dzjz101-6/2022/01/04/1130606479997428/1503006919542050816.pdf",
			"attachmentFileName":  "1503006919542050816.pdf",
			"attachmentSize": 15452,
			"clsx": 0,
			"dir": ["正卷","上诉案件移送函"],
			"fileDownloadUrl": "http://124.70.110.161:8085/images/dzjz101-6/2022/01/04/1130606479997428/1503006919542050816.jpg",
			"fileName": "202209061409.jpg",
			"fileTypeName": "JPG",
		    "tags": {
				"MEDIA": "EFILE",
				"OWNER": "原告材料",
				"SOURCE": "纸"
			}
		}
	]
}
```


**请求参数**:


**请求参数**:


| 参数名称                                      | 参数说明                                              | in   | 是否必须 | 数据类型       | schema       |
| --------------------------------------------- | ----------------------------------------------------- | ---- | -------- | -------------- | ------------ |
| hbFileListVO                                  | hbFileListVO                                          | body | true     | HBFileListVO   | HBFileListVO |
| &emsp;&emsp;ah                                | 案号 例如(2012）冀01民 初90号                         |      | true     | string         |              |
| &emsp;&emsp;corpId                            | 法院id                                                |      | false    | integer(int64) |              |
| &emsp;&emsp;entityId                          | 案件编号                                              |      | false    | string         |              |
| &emsp;&emsp;entityType                        | 案件类型                                              |      | false    | string         |              |
| &emsp;&emsp;materials                         | 材料信息                                              |      | true     | array          | Material     |
| &emsp;&emsp;&emsp;&emsp;attachmentDownloadUrl | 附件下载地址                                          |      | false    | string         |              |
| &emsp;&emsp;&emsp;&emsp;attachmentFileName    | 附件名称                                              |      | false    | string         |              |
| &emsp;&emsp;&emsp;&emsp;attachmentSize        | 附件大小                                              |      | false    | integer(int64) |              |
| &emsp;&emsp;&emsp;&emsp;clsx                  | 材料属性，标记这个材料是否是无纸化材料                |      | false    | integer(int32) |              |
| &emsp;&emsp;&emsp;&emsp;dir                   | ⽂件所属⽬录，请填写⽬录完整路径，⽐如["正卷","证据"] |      | false    | array          | string       |
| &emsp;&emsp;&emsp;&emsp;fileDownloadUrl       | 文件下载地址                                          |      | true     | string         |              |
| &emsp;&emsp;&emsp;&emsp;fileName              | 文件名称                                              |      | true     | string         |              |
| &emsp;&emsp;&emsp;&emsp;fileTypeName          | 文件类型名称                                          |      | false    | string         |              |
| &emsp;&emsp;&emsp;&emsp;tags                  | 标签                                                  |      | false    | object         |              |


**响应状态**:


| 状态码 | 说明         | schema |
| ------ | ------------ | ------ |
| 200    | OK           |        |
| 201    | Created      |        |
| 401    | Unauthorized |        |
| 403    | Forbidden    |        |
| 404    | Not Found    |        |


**响应参数**:


暂无

**响应示例**:

```javascript
{
  "success": true,
  "message": "接受成功"
}

{
  "success": false,
  "message": "目录不存在"
}
```





# 入卷标签值说明

## 存储介质

| 值         | 说明                 |
| ---------- | -------------------- |
| EFILE      | 电子档               |
| PAPERFILE  | 纸质                 |
| -PAPERFILE | 纸质退回，保留电子档 |

## 材料来源

| 值   | 说明     |
| ---- | -------- |
| 网   | 网上立案 |
| 审   | 庭审     |
| 生   | 系统生成 |
| 查   | 查控     |
| 费   | 费款     |
| 证   | 质证     |
| 送   | 送达     |
| 纸   | 纸质     |

## 材料归属(不同案件类型，其值不同)

| 值    | 说明             |
| ----- | ---------------- |
| GS001 | 原告材料         |
| GS002 | 被告材料         |
| GS003 | 上诉人材料       |
| GS004 | 被上诉人材料     |
| GS005 | 再审申请人材料   |
| GS006 | 再审被申请人材料 |
| GS007 | 申请执行人材料   |
| GS008 | 被执行人材料     |
| GS009 | 案外人材料       |
| GS010 | 被保全人材料     |
| GS011 | 申请保全人材料   |
| GS012 | 被告人材料       |
| GS013 | 自诉人材料       |
| GS014 | 被（上）诉方材料 |
| GS015 | 上诉方材料       |
| GS016 | 上诉人代理人材料 |
| GS017 | 被申诉人材料     |
| GS018 | 罪犯材料         |
| GS019 | 第三人材料       |
| GS020 | 法院材料         |
| GS021 | 第三方机构材料   |
| GS022 | 检察院材料       |
| GS023 | 公安机关材料     |
| GS024 | 原审材料         |
| GS025 | 送案机关材料     |
| GS026 | 执行立案材料     |
| GS027 | 委托执行材料     |
| GS028 | 执行通知材料     |
| GS029 | 失信惩戒材料     |
| GS030 | 财产查控材料     |
| GS031 | 财产评估材料     |
| GS032 | 财产拍卖材料     |
| GS033 | 财产处置材料     |
| GS034 | 终本执行材料     |
| GS035 | 执行制裁材料     |
| GS036 | 音视频材料       |
| GS037 | 其他诉讼相关材料 |
| GS038 | 其他执行相关材料 |
| GS039 | 其他             |



# 状态码列表



| 状态值 | 状态说明                           |
| ------ | ---------------------------------- |
| 10000  | 数据({0})不存在                    |
| 10009  | 目录不存在                         |
| 11001  | 目录({0})不存在                    |
| 10008  | 案件标识{0}不存在                  |
| 10028  | 文件名称({0})的文件地址({1})已存在 |

