# 分页查询案件基础信息

**简介**:15-分页查询案件基础信息

**HOST**:127.0.0.1:8200

**Version**:1.0

[TOC]



# 接口说明



**## 一、http交互**



基于Restful风格的Http接口。

接口是Http方式的调用，只要满足接口要求，可以不限于客户端语言，进行接口对接。接口返回格式为JSON。 





**## 二、接口请求全局参数设置**



所有接口都需要请求头携带两个请求头参数,

```javascript
headers: {

​    ClientId: xxxx,

​    ClientSecret: xxxxxxxxxxxx

}
```



**## 三、接口响应返回值说明**



接口响应是否成功，用HTTP状态码标识

| 状态值 | 说明                                              |
| ------ | ------------------------------------------------- |
| 200    | 接口调用成功                                      |
| 401    | Token值错误或已失效，无权访问（一般认为是未登录） |
| 403    | 禁止访问，无权访问该接口                          |
| 500    | 接口异常，返回具体异常信息                        |



500的异常信息示例：

```json
{
  "code": 400,  //业务状态码，其值，参考状态码列表
  "message": "文件扩展名必须是[jpg,jpeg,gif,png,bmp,tif,pdf],文件大小不能超过10M",   //错误提示信息
  "detailMessage": "OCRFileParamter 参数错误",    //错误详情
  "data": null  //返回的数据体，根据部分接口需求，会返回错误的数据体或者传参的原数据，一般情况下，该值为null
}
```



## 分页查询案件基础信息

**接口地址**:`/caseinfo/hb-extra/search-page`


**请求方式**:`GET`


**请求数据类型**:`*`


**响应数据类型**:`*/*`


**接口描述**:分页查询案件基础信息


**请求参数**:


**请求参数**:


| 参数名称          | 参数说明                            | in   | 是否必须 | 数据类型 | schema |
| ----------------- | ----------------------------------- | ---- | -------- | -------- | ------ |
| courtId           | 华宇法院ID                          |      | false    | string   |        |
| current           | 当前页                              |      | true     | integer  |        |
| caseName          | 案号                                |      | false    | string   |        |
| cbrId             | 承办人Id                            |      | false    | integer  |        |
| caseStatus        | 案件状态                            |      | false    | int      |        |
| registerEndDate   | 立案时间止                          |      | false    | string   |        |
| registerStartDate | 立案时间起                          |      | false    | string   |        |
| size              | 查询数据量，默认10条，最大支持100条 |      | false    | integer  |        |





**响应参数**:


| 参数名称                               | 参数说明                              | 类型              | schema            |
| -------------------------------------- | ------------------------------------- | ----------------- | ----------------- |
| current                                | 当前页                                | integer(int64)    | integer(int64)    |
| hitCount                               |                                       | boolean           |                   |
| pages                                  | 总页数                                | integer(int64)    | integer(int64)    |
| records                                |                                       | array             | CaseInfo          |
| &emsp;archiveDate                      | 归档日期                              | string(date-time) | string(date-time  |
| &emsp;bizType                          | 业务类型                              | string            |                   |
| &emsp;caseCode                         | 案件标识                              | string            |                   |
| &emsp;caseDetailName                   | 案件名称                              | string            |                   |
| &emsp;caseExtId                        | 扩展ID字段，一般是指华宇案件ID        | string            |                   |
| &emsp;caseId                           | 案件ID                                | integer(int64)    | integer(int64)    |
| &emsp;caseName                         | 案号                                  | string            |                   |
| &emsp;caseStatus                       | 案件状态                              | integer(int32)    | integer(int32)    |
| &emsp;caseType                         | 案件类型                              | CaseType          | CaseType          |
| &emsp;&emsp;&emsp;code                 | 案件类型代码                          | string            |                   |
| &emsp;&emsp;&emsp;fullName             | 案件类型全称                          | string            |                   |
| &emsp;&emsp;&emsp;id                   | 案件类型ID                            | integer(int64)    |                   |
| &emsp;&emsp;&emsp;name                 | 案件类型名称                          | string            |                   |
| &emsp;closeDate                        | 结案日期                              | string(date-time) | string(date-time) |
| &emsp;court                            | 法院信息                              | Organization      | Organization      |
| &emsp;&emsp;&emsp;children             |                                       | array             | TreeNode          |
| &emsp;&emsp;&emsp;&emsp;&emsp;children |                                       | array             | TreeNode          |
| &emsp;&emsp;&emsp;&emsp;&emsp;id       |                                       | integer(int64)    |                   |
| &emsp;&emsp;&emsp;&emsp;&emsp;pid      |                                       | integer(int64)    |                   |
| &emsp;&emsp;&emsp;code                 | 组织代码                              | string            |                   |
| &emsp;&emsp;&emsp;id                   | 组织id                                | integer(int64)    |                   |
| &emsp;&emsp;&emsp;lft                  |                                       | integer(int32)    |                   |
| &emsp;&emsp;&emsp;name                 | 组织名称                              | string            |                   |
| &emsp;&emsp;&emsp;pid                  | 组织父id                              | integer(int64)    |                   |
| &emsp;&emsp;&emsp;rgt                  |                                       | integer(int32)    |                   |
| &emsp;&emsp;&emsp;shortName            | 组织简称                              | string            |                   |
| &emsp;&emsp;&emsp;type                 | 组织类型                              | string            |                   |
| &emsp;courtRoom                        | 庭室信息                              | Organization      | Organization      |
| &emsp;&emsp;&emsp;children             |                                       | array             | TreeNode          |
| &emsp;&emsp;&emsp;&emsp;&emsp;children |                                       | array             | TreeNode          |
| &emsp;&emsp;&emsp;&emsp;&emsp;id       |                                       | integer(int64)    |                   |
| &emsp;&emsp;&emsp;&emsp;&emsp;pid      |                                       | integer(int64)    |                   |
| &emsp;&emsp;&emsp;code                 | 组织代码                              | string            |                   |
| &emsp;&emsp;&emsp;id                   | 组织id                                | integer(int64)    |                   |
| &emsp;&emsp;&emsp;lft                  |                                       | integer(int32)    |                   |
| &emsp;&emsp;&emsp;name                 | 组织名称                              | string            |                   |
| &emsp;&emsp;&emsp;pid                  | 组织父id                              | integer(int64)    |                   |
| &emsp;&emsp;&emsp;rgt                  |                                       | integer(int32)    |                   |
| &emsp;&emsp;&emsp;shortName            | 组织简称                              | string            |                   |
| &emsp;&emsp;&emsp;type                 | 组织类型                              | string            |                   |
| &emsp;extra                            |                                       | object            |                   |
| &emsp;judge                            | 法官-承办人                           | Judge             | Judge             |
| &emsp;&emsp;&emsp;id                   |                                       | integer(int64)    |                   |
| &emsp;&emsp;&emsp;name                 |                                       | string            |                   |
| &emsp;receiveDate                      | 收案日期                              | string(date-time) | string(date-time) |
| &emsp;registerDate                     | 立案日期                              | string(date-time) | string(date-time) |
| &emsp;trialProcedures                  | 审判程序                              | TrialProcedures   | TrialProcedures   |
| &emsp;&emsp;&emsp;id                   |                                       | integer(int64)    |                   |
| &emsp;&emsp;&emsp;name                 |                                       | string            |                   |
| &emsp;version                          | 数据版本                              | integer(int32)    | integer(int32)    |
| &emsp;caseReason                       | 案件理由                              | string            |                   |
| &emsp;claim                            | 诉讼请求                              | string            |                   |
| &emsp;duration                         | 保管期限                              | string            |                   |
| &emsp;originalCaseName                 | 原审案号                              | array             | array             |
| &emsp;partyList                        | 当事人列表                            | array             | Party             |
| &emsp;&emsp;&emsp;idNumber             | 身份证或统一信用代码                  | string            |                   |
| &emsp;&emsp;&emsp;roleId               | 当事人角色ID                          | integer(int64)    |                   |
| &emsp;&emsp;&emsp;roleName             | 原告或被告                            | string            |                   |
| &emsp;&emsp;&emsp;userName             | 当事人名称                            | string            |                   |
| &emsp;updateTime                       | 更新时间                              | string(date)      | string(date)      |
| &emsp;closed                           | 是否结案                              | boolean           |                   |
| &emsp;archived                         | 是否归档                              | boolean           |                   |
| &emsp;firstTrialResult                 | 一审结果                              | array             | array             |
| &emsp;reviewTrialResult                | 再审结果                              | array             | array             |
| &emsp;secondTrialResult                | 二审结果                              | array             | array             |
| &emsp;originalCourtName                | 原审法院                              | array             | array             |
| &emsp;trialOrgList                     | 审判组织信息                          | array             | 审判组织          |
| &emsp;&emsp;&emsp;name                 | 审判组织名称                          | string            |                   |
| &emsp;&emsp;&emsp;typeId               | 审判组织类型，sys_dict.case_trial_org | string            |                   |
| &emsp;&emsp;&emsp;typeName             | 审判组织类型，sys_dict.case_trial_org | string            |                   |
| &emsp;&emsp;&emsp;undertaker           | 是否承办人                            | boolean           |                   |
| &emsp;underlyingAmount                 | 标的金额                              | number            |                   |
| &emsp;closeResult                      | 结案方式                              | string            |                   |
| &emsp;executeResult                    | 执行结果                              | string            |                   |
| searchCount                            |                                       | boolean           |                   |
| size                                   | 一次查询的数量                        | integer(int64)    | integer(int64)    |
| total                                  | 总数                                  | integer(int64)    | integer(int64)    |


**响应示例**:
```javascript
{
	"current": 1,
	"hitCount": true,
	"pages": 11512,
	"records": [
        {
        "caseId": "4431269080996772",
        "caseCode": "11700000086325",
        "caseName": "（2020）冀0184民初2022号",
        "caseExtId": null,
        "judge": null,
        "caseDetailName": null,
        "caseType": {
          "id": "2",
          "name": null,
          "fullName": null,
          "code": null
        },
        "trialProcedures": {
          "id": "1",
          "name": null
        },
        "registerDate": null,
        "closeDate": null,
        "archiveDate": null,
        "receiveDate": null,
        "court": null,
        "courtRoom": null,
        "bizType": null,
        "version": 0,
        "caseStatus": null,
        "caseReason": null,
        "claim": null,
        "duration": null,
        "originalCaseName": null,
        "partyList": null,
        "updateTime": null,
        "closed": false,
        "archived": false,
        "firstTrialResult": null,
        "secondTrialResult": null,
        "reviewTrialResult": null,
        "originalCourtName": null,
        "trialOrgList": null,
        "underlyingAmount": null,
        "closeResult": null,
        "executeResult": null
      }
	],
	"searchCount": true,
	"size": 10,
	"total": 115111
}
```



# 状态码列表



| 状态值 | 状态说明                              |
| ------ | ------------------------------------- |
| 10000  | 数据({0})不存在                       |
| 12010  | 从华宇接口中解析XML，缺少: {0} 节点   |
| 12008  | 从华宇接口中，没有解析到案件信息: {0} |