## Docker 服务脚本

### 1、安装MySQL

```
docker run -itd --name mysql5.7 -p 3306:3306 -e MYSQL_ROOT_PASSWORD=xxxxxxx --user 1000:1000 -v /home/conn/mysql/conf:/etc/mysql/conf.d -v /home/conn/mysql/data:/var/lib/mysql -v /home/conn/mysql/logs:/var/log/mysql mysql:5.7.30
```

### 2、安装gitlab

```
 	docker run -d  -p 443:443 -p 80:80 -p 22:22  --name gitlab -v /home/gitlab/config:/etc/gitlab -v /home/gitlab/logs:/var/log/gitlab -v /home/gitlab/data:/var/opt/gitlab gitlab/gitlab-ce
```


### 3、安装jenkins

```
 	docker run -d -p 8082:8080 --name jenkins -v /data/jenkins_home:/var/jenkins_home -e JAVA_OPTS=-Duser.timezone=Asia/Shanghai --restart=always jenkins
```

### 4、安装nexus

```
 	docker run -d -p 8081:8081 --name nexus -v /data/nexus-data:/nexus-data --restart=always sonatype/nexus3
```

### 5、安装rabbitmq

```
 	docker run -d --hostname my-rabbit --name rabbitmq -p 15672:15672 -p 5672:5672 rabbitmq:3.7.26-management
```

### 6、安装xxl-job

```
 	docker run -e PARAMS="--spring.datasource.url=jdbc:mysql://192.168.0.31:3306/xxl_job?useUnicode=true&characterEncoding=UTF-8&autoReconnect=true&serverTimezone=Asia/Shanghai --spring.datasource.password=xxxxxxxx" -p 8081:8080 -v /tmp:/data/applogs --name xxl-job-admin  -d xuxueli/xxl-job-admin:2.2.0
```

### 7、安装elasticsearch

```
 	docker run -p 9200:9200 -p 9300:9300 -e "discovery.type=single-node" --user 1001:0  -v /home/conn/elasticsearch/logs:/usr/share/elasticsearch/logs -v /home/conn/elasticsearch/data:/usr/share/elasticsearch/data --name elasticsearch  elasticsearch:6.8.3
```


### 8、安装minio

```
 	 docker run -p 9001:9001 --restart=always -e MINIO_ACCESS_KEY=whrp_minio -e MINIO_SECRET_KEY=H7j0VDcseVAWErv  -v /home/conn/minio/data:/data --name minio  -d minio/minio:RELEASE.2020-09-26T03-44-56Z server /data
```

### 9、安装Question2Answer

```
 	 docker run -d  -p 8085:80 --restart=always --name qa -v /data/software/question2answer:/www/html  tiredofit/nginx-php-fpm:debian-7.3-buster
```